Bug 851292 - (mingw-poppler) Review Request: mingw-poppler: MinGW PDF rendering library
Review Request: mingw-poppler: MinGW PDF rendering library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
: 961407 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 13:28 EDT by Thomas Sailer
Modified: 2013-07-20 05:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: mingw-poppler-0.22.5-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:40:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2012-08-23 13:28:05 EDT
Spec URL: http://sailer.fedorapeople.org/mingw-poppler.spec
SRPM URL: http://sailer.fedorapeople.org/mingw-poppler-0.20.2-1.fc17.src.rpm
Description:
MinGW PDF rendering library

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 greg.hellings 2012-09-08 02:04:23 EDT
You're now a bugfix release behind upstream. They appear to have released 0.20.3 earlier last month. You might want to grab that and see if they've upstreamed any of your patches.

Is there a reason you disabled zlib? It should be available in Fedora for building. Is support in Poppler sketchy under the mingw build when you enable zlib?

You should use the %mingw_make_install macro directly instead of adding the 'install' argument to your build.

You can remove the lines that begin with %defattr in the %files sections.

rpmlint gives the following output:
$ for r in $(find . -name '*.rpm'); do echo $r; rpmlint $r; done
./mingw-poppler-0.20.2-1.fc17.src.rpm
mingw-poppler.src: W: spelling-error %description -l en_US xpdf -> expend
mingw-poppler.src: W: patch-not-applied Patch1: poppler-0.12.4-annot-appearance.patch
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
./mingw-poppler-0.20.2-1.fc19.src.rpm
mingw-poppler.src: W: spelling-error %description -l en_US xpdf -> expend
mingw-poppler.src: W: patch-not-applied Patch1: poppler-0.12.4-annot-appearance.patch
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
./noarch/mingw32-poppler-static-0.20.2-1.fc19.noarch.rpm
mingw32-poppler-static.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
./noarch/mingw32-poppler-debuginfo-0.20.2-1.fc19.noarch.rpm
mingw32-poppler-debuginfo.noarch: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
./noarch/mingw32-poppler-0.20.2-1.fc19.noarch.rpm
mingw32-poppler.noarch: W: spelling-error %description -l en_US xpdf -> expend
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
./noarch/mingw64-poppler-0.20.2-1.fc19.noarch.rpm
mingw64-poppler.noarch: W: spelling-error %description -l en_US xpdf -> expend
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
./noarch/mingw64-poppler-debuginfo-0.20.2-1.fc19.noarch.rpm
mingw64-poppler-debuginfo.noarch: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
./noarch/mingw64-poppler-static-0.20.2-1.fc19.noarch.rpm
mingw64-poppler-static.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Thomas Sailer 2013-05-09 17:49:29 EDT
*** Bug 961407 has been marked as a duplicate of this bug. ***
Comment 3 Sandro Mani 2013-05-09 17:54:01 EDT
From #961407:

Spec URL: http://smani.fedorapeople.org/mingw-poppler.spec
SRPM URL: http://smani.fedorapeople.org/mingw-poppler-0.22.1-1.fc20.src.rpm
Description: MinGW Windows Poppler library
Fedora Account System Username: smani

Note: this package requires mingw-openjpeg, see #961405
Comment 4 Sandro Mani 2013-05-11 17:03:12 EDT
Spec URL: http://smani.fedorapeople.org/mingw-poppler.spec
SRPM URL: http://smani.fedorapeople.org/mingw-poppler-0.22.1-2.fc20.src.rpm

* Sat May 11 2013 Sandro Mani <manisandro@gmail.com> - 0.22.1-2
- Use versioned BuildRequires for mingw32/64-filesystem
- Remove unused mingw_build_win32/64 macros
- Remove tools subpackage (and do not ship exes)
Comment 5 Thomas Sailer 2013-05-11 18:55:33 EDT
Scratch build currently fails due to mingw-openjpeg: http://koji.fedoraproject.org/koji/taskinfo?taskID=5368538

$ rpmlint  mingw-poppler-0.22.1-2.fc20.src.rpm mingw-poppler.spec 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-w64-mingw32/sys-root/mingw, /usr/x86_64-w64-mingw32/sys-root/mingw/
[+] BuildRequires: mingw32-filesystem, mingw64-filesystem is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw specific ones

[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
$ md5sum poppler-0.22.1.tar.gz o/poppler-0.22.1.tar.gz
50c259fdda538c1ba94b62aa25f7ec87  poppler-0.22.1.tar.gz
50c259fdda538c1ba94b62aa25f7ec87  o/poppler-0.22.1.tar.gz
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[*] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[/] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[/] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[*] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[*] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[*] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[/] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[/] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
Comment 6 Sandro Mani 2013-05-25 17:06:41 EDT
mingw-openjpeg has in the meantime been unblocked and updated. mingw-poppler now builds in koji, a scratch build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5425228
Comment 7 Sandro Mani 2013-06-17 14:16:16 EDT
Spec URL: http://smani.fedorapeople.org/mingw-poppler.spec
SRPM URL: http://smani.fedorapeople.org/mingw-poppler-0.22.5-1.fc20.src.rpm

* Mon Jun 17 2013 Sandro Mani <manisandro@gmail.com> - 0.22.5-1
- Update to 0.22.5
Comment 8 Sandro Mani 2013-07-06 06:43:01 EDT
Thanks Thomas!

New Package SCM Request
=======================
Package Name: mingw-poppler
Short Description: MinGW Windows Poppler library
Owners: smani
Branches: f18 f19
InitialCC:
Comment 9 Gwyn Ciesla 2013-07-06 18:27:37 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-07-06 19:00:15 EDT
mingw-poppler-0.22.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-poppler-0.22.5-1.fc19
Comment 11 Fedora Update System 2013-07-06 19:02:03 EDT
mingw-poppler-0.22.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-poppler-0.22.5-1.fc18
Comment 12 Fedora Update System 2013-07-07 20:52:48 EDT
mingw-poppler-0.22.5-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-07-20 05:40:11 EDT
mingw-poppler-0.22.5-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-07-20 05:46:59 EDT
mingw-poppler-0.22.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.